%perl_module_wo_prefix mythmkmovie 1.1.4 5

Summary: An archiving assistant for MythTV.
URL: http://www.icelus.org/
License: GPL2
Group: Applications/Multimedia
Source0: http://www.icelus.org/downloads/%{name}-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-root
BuildRequires: libpng-devel, perl-Curses, perl-DBI, perl-DBD-MySQL
Requires: libpng, perl-Curses, perl-DBI, perl-DBD-MySQL
Requires: /usr/bin/mencoder, mythtv

%description
MythMkMovie is an archiving assistant for use with MythTV. It will
produce a DiVX file for your viewing/archiving pleasure, and remove
the commercials in the process (IF you've gone through and removed
them when watching it in MythTV). It can be drivien from the command
line, or it also has a curses based interface to allow you to navigate
the files you have stored on your computer.

%prep
%setup -q
# Fix /usr/local -> %{_prefix}
perl -pi -e's|/usr/local|'%{_prefix}'|g' \
  ./Makefile.PL

%build
%perl_configure
make
%perl_makecheck

%install
rm -rf %{buildroot}
%perl_makeinstall

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%{_bindir}/mkmovie
%{_bindir}/mythframes
%{perl_vendorarch}/auto/mkmovie/mkmovie.so
%{_mandir}/man1/mkmovie.1*
%{_mandir}/man1/mythframes.1*

%changelog
* Sat Jun 11 2005 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 1.1.4.

* Tue Aug 19 2003 Axel Thimm <Axel.Thimm@ATrpms.net> 
- Updated to 1.0.1.

* Wed Jul  2 2003 Axel Thimm <Axel.Thimm@ATrpms.net> 
- Updated to 0.9.2.

* Sat Jun 21 2003 Axel Thimm <Axel.Thimm@ATrpms.net>
- Initial build.
